## org.h2.test.bench
Class TestScalability

    java.lang.Object
      org.h2.test.bench.TestScalability

All Implemented Interfaces:
  Database.DatabaseTest

    public class TestScalability

extends java.lang.Object
implements Database.DatabaseTest

Used to compare scalability between the old engine and the new MVStore engine. Mostly it runs BenchB with various numbers of threads.

Constructor Summary
`TestScalability()`

Method Summary
`boolean` `isCollect()` Whether data needs to be collected.
`static void` `main(java.lang.String... args)` This method is called when executing this sample application.
`void` `trace(java.lang.String s)` Print a message to system out if trace is enabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestScalability

    public TestScalability()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this sample application.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`

### trace

    public void trace(java.lang.String s)

  Print a message to system out if trace is enabled.

  Specified by:
    `trace` in interface `Database.DatabaseTest`
  Parameters:
    `s` - the message

### isCollect

    public boolean isCollect()

  Description copied from interface: `Database.DatabaseTest`
  Whether data needs to be collected.

  Specified by:
    `isCollect` in interface `Database.DatabaseTest`
  Returns:
    true if yes